# ini-decode

ini file decoder for Node.js, using this util, you can read `.ini` file and even parse it to `.d.ts` file

## installation

```
npm install ini-decode
```

## usage

```typescript
import fs from 'fs'
import { decode } from 'ini-decode'

//parse
const { json: configs, dts } = decode(fs.readFileSync('/path/to/ini'))

//this is configs
console.log(configs)

//you can write dts to a .d.ts file
fs.writeFileSync('/path/to/ini.d.ts', dts)
```